# $Revision: 1.37 $, $Date: 2009/05/02 20:32:46 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	WWW
%define		pnam	Mechanize
Summary:	WWW::Mechanize - automate interaction with websites
Summary(pl.UTF-8):	WWW::Mechanize - automatyzacja interakcji ze stronami WWW
Name:		perl-WWW-Mechanize
Version:	1.54
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/WWW/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	27257ee2a33348df181c866d865925fb
Patch0:		%{name}-testserver.patch
URL:		http://search.cpan.org/dist/WWW-Mechanize/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(Test::More) >= 0.34
BuildRequires:	perl-Encode
BuildRequires:	perl-HTML-Parser >= 3.33
BuildRequires:	perl-HTTP-Response-Encoding
BuildRequires:	perl-HTTP-Server-Simple
BuildRequires:	perl-Sub-Uplevel >= 0.13
BuildRequires:	perl-Test-Exception
BuildRequires:	perl-Test-Memory-Cycle
BuildRequires:	perl-Test-Pod >= 1.14
BuildRequires:	perl-Test-Pod-Coverage >= 1.04
BuildRequires:	perl-Test-Taint
BuildRequires:	perl-Test-Warn >= 0.11
BuildRequires:	perl-URI
BuildRequires:	perl-libwww >= 5.76
%endif
Requires:	perl-Encode
Requires:	perl-libwww >= 5.76
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
WWW::Mechanize, or Mech for short, was designed to help you automate
interaction with a website. It supports performing a sequence of page
fetches including following links and submitting forms. Each fetched
page is parsed and its links and forms are extracted. A link or a form
can be selected, form fields can be filled and the next page can be
fetched. Mech also stores a history of the URLs you've visited, which
can be queried and revisited.

%description -l pl.UTF-8
Moduł Perla WWW::Mechanize, w skrócie Mech, został zaprojektowany, aby
ułatwić automatyzację interakcji ze stronami WWW. Wspiera on
wykonywanie szeregu kolejnych pobrań stron, włączając w to podążanie
za odnośnikami i odsyłanie formularzy. Każda z pobranych stron jest
przetwarzana i wydzielane są z niej odnośniki i formularze. Można
wybrać odnośnik lub formularz, wypełnić pola formularza i pobrać
następną stronę. Mech przechowuje również historię odwiedzanych URL-i,
o które można odpytać i je ponownie odwiedzić.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
echo 'y' | %{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_vendorlib}/WWW/Mechanize/{FAQ,Cookbook,Examples}.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%attr(755,root,root) %{_bindir}/*
%{perl_vendorlib}/%{pdir}/%{pnam}.pm
%dir %{perl_vendorlib}/%{pdir}/%{pnam}
%{perl_vendorlib}/%{pdir}/%{pnam}/*.pm
%{_mandir}/man?/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-WWW-Mechanize.spec,v $
Revision 1.37  2009/05/02 20:32:46  charles
- updated to 1.54
- BR/R perl-Encode; sorted

Revision 1.36  2008/12/14 11:01:11  agaran
- added missing BR, added patch fixing sequential make test firing

Revision 1.35  2008/12/01 14:04:35  arekm
- up to 1.52

Revision 1.34  2007-12-31 00:24:08  zbyniu
- up to 1.34

Revision 1.33  2007-06-03 12:27:48  qboosh
- generic URL

Revision 1.32  2007/06/03 11:49:08  agaran
- up to 1.30, rel 1, builds here

Revision 1.31  2007/02/13 08:06:38  glen
- tabs in preamble

Revision 1.30  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.29  2006/09/21 22:57:24  glen
- updated deps for tests, rel 2

Revision 1.28  2006/08/24 07:46:55  migo
- up to 1.20
- updated BRs
- enabled tests by default, as there are no live tests now

Revision 1.27  2006/07/09 14:30:06  agaran
- up to 1.18, rel1, builds here

Revision 1.26  2005/11/02 09:08:31  tiwek
- up to 1.16
  STBR

Revision 1.25  2005/09/21 10:41:43  tiwek
- up to 1.14
- STBR please

Revision 1.24  2005/05/05 00:25:41  ankry
- updated to 1.10; license fix

Revision 1.23  2004/12/27 16:36:58  adamg
- updated to 1.08

Revision 1.22  2004/12/12 10:30:48  adamg
- updated to 1.06

Revision 1.21  2004/11/07 10:26:28  paladine
- updated to 1.04

Revision 1.20  2004/11/03 22:30:53  paladine
- formatting

Revision 1.19  2004/05/07 00:32:05  ankry
- rel. 2

Revision 1.18  2004/05/06 18:01:32  ankry
- fixed perl-devel BR

Revision 1.17  2004/05/04 13:34:33  ankry
- cosmetics

Revision 1.16  2004/04/14 10:59:09  adamg
- updated to 1.02

Revision 1.15  2004/04/10 20:02:27  adamg
- updated to 1.00

Revision 1.14  2004/04/08 06:01:34  adamg
- updated to 0.76

Revision 1.13  2004/03/28 11:20:20  adamg
- updated to 0.74

Revision 1.12  2004/01/25 00:13:31  arekm
- autoupdated to 0.72

Revision 1.11  2003/12/08 19:16:05  migo
- R: perl-libwww > 5.76

Revision 1.10  2003/12/07 20:13:31  migo
- up 0.70

Revision 1.9  2003/11/15 12:50:06  migo
- up to 0.66
- made mech-dump executable

Revision 1.8  2003/11/10 22:19:47  migo
- up to 0.65

Revision 1.7  2003/10/28 19:14:58  migo
- up to 0.64
- updated BRs

Revision 1.6  2003/10/15 14:38:23  migo
- up to 0.63

Revision 1.5  2003/10/08 07:19:10  migo
- up to 0.62

Revision 1.4  2003/10/07 13:27:55  migo
- up to 0.61
- new bcond style
- proper BRs for test

Revision 1.3  2003/09/27 22:42:01  adamg
- updated to 0.60

Revision 1.2  2003/09/25 22:19:57  ankry
- pl translation, cosmetics

Revision 1.1  2003/09/20 12:32:32  arekm
- initial pld release
